Commit 6dac741b authored by YannGarcia's avatar YannGarcia
Browse files

Review virtualization process

parent dc3c9f7f
Loading
Loading
Loading
Loading
+1 −1
Original line number Original line Diff line number Diff line
FROM ubuntu:20.04
FROM ubuntu:20.04


LABEL ETSI STF
LABEL ETSI CTI
LABEL description="STF Docker Ubuntu image"
LABEL description="STF Docker Ubuntu image"


ENV TERM=linux \
ENV TERM=linux \
+3 −3
Original line number Original line Diff line number Diff line
#!/bin/bash
#!/bin/bash
# Copyright ETSI 2018-2021
# Copyright ETSI 2020-2021
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt


set -e
set -e
@@ -16,10 +16,10 @@ if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi
fi


docker build --no-cache --tag ttf_t009_ng112 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag etsiforge/ttf_t009_ng112 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )


docker images
docker images
docker inspect ttf_t009_ng112:latest || ( echo "Docker inspect failed: $?"; exit 1 )
docker inspect etsiforge/ttf_t009_ng112:latest || ( echo "Docker inspect failed: $?"; exit 1 )


# That's all Floks
# That's all Floks
exit 0
exit 0
+2 −2
Original line number Original line Diff line number Diff line
#!/bin/bash
#!/bin/bash
# Copyright ETSI 2021
# Copyright ETSI 2018-2020
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt
# See: https://forge.etsi.org/etsi-forge-copyright-statement.txt


#set -e
#set -e
set -vx
set -vx


docker run --interactive --tty --rm --publish 2222:22 --env DISPLAY=$DISPLAY --volume /tmp/.X11-unix:/tmp/.X11-unix --cap-add=NET_RAW --cap-add=NET_ADMIN --user etsi ttf_t009_ng112:latest /bin/bash -c ". /home/etsi/devenv.bash && export ATS=AtsLIS && cd /home/etsi/dev/ETSI_Ng112/scripts && ./run_all.bash"
docker run --interactive --tty --rm --publish 2222:22 --env DISPLAY=$DISPLAY --volume /tmp/.X11-unix:/tmp/.X11-unix --cap-add=NET_RAW --cap-add=NET_ADMIN etsiforge/ttf_t009_ng112:latest


# That's all Floks
# That's all Floks
exit 0
exit 0
+1 −20
Original line number Original line Diff line number Diff line
@@ -7,12 +7,8 @@
sudo DEBIAN_FRONTEND=noninteractive apt-get update
sudo DEBIAN_FRONTEND=noninteractive apt-get update
sudo DEBIAN_FRONTEND=noninteractive apt-get dist-upgrade -y
sudo DEBIAN_FRONTEND=noninteractive apt-get dist-upgrade -y
sudo DEBIAN_FRONTEND=noninteractive apt-get install software-properties-common -y
sudo DEBIAN_FRONTEND=noninteractive apt-get install software-properties-common -y
sudo DEBIAN_FRONTEND=noninteractive add-apt-repository ppa:linuxuprising/java -y
sudo DEBIAN_FRONTEND=noninteractive apt-get update
sudo DEBIAN_FRONTEND=noninteractive apt-get update
sudo DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated install emacs openjdk-11-jre gcc-8 g++-8 git subversion lsof ntp gdb make cmake flex bison autoconf doxygen graphviz libedit2 libedit-dev libtool libncurses5-dev expect libssl-dev libgcrypt-dev libxml2-dev xutils-dev tcpdump libpcap-dev libwireshark-dev wget tree unzip sshpass kubuntu-desktop valgrind qt5-default qttools5-dev qtmultimedia5-dev libqt5svg5-dev vim tzdata dos2unix xsltproc -y
sudo DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated install emacs openjdk-11-jre gcc-9 g++-9 git subversion lsof ntp gdb make cmake flex bison autoconf doxygen graphviz libedit2 libedit-dev libtool libncurses5-dev expect libssl-dev libgcrypt-dev libxml2-dev xutils-dev tcpdump libpcap-dev libwireshark-dev wget tree unzip sshpass kubuntu-desktop valgrind qt5-default qttools5-dev qtmultimedia5-dev libqt5svg5-dev vim tzdata dos2unix xsltproc -y
# Install java
#sudo DEBIAN_FRONTEND=noninteractive apt-get install oracle-java9-installer oracle-java9-set-default -y
#sudo DEBIAN_FRONTEND=noninteractive apt-get --allow-unauthenticated install oracle-java10-installer oracle-java10-set-default -y
#sudo DEBIAN_FRONTEND=noninteractive apt --fix-broken install -y
#sudo DEBIAN_FRONTEND=noninteractive apt --fix-broken install -y
sudo DEBIAN_FRONTEND=noninteractive apt-get autoremove --purge -y
sudo DEBIAN_FRONTEND=noninteractive apt-get autoremove --purge -y
sudo DEBIAN_FRONTEND=noninteractive apt-get clean
sudo DEBIAN_FRONTEND=noninteractive apt-get clean
@@ -20,7 +16,6 @@ sudo DEBIAN_FRONTEND=noninteractive apt-get clean
gcc --version
gcc --version
g++ --version
g++ --version
valgrind --version
valgrind --version
java -version


export HOME=/home/vagrant
export HOME=/home/vagrant


@@ -132,20 +127,6 @@ sudo gem install coveralls-lcov
lcov --version
lcov --version
coveralls-lcov -h
coveralls-lcov -h


# Install eclipse
wget --progress=dot:mega 'http://www.mirrorservice.org/sites/download.eclipse.org/eclipseMirror/technology/epp/downloads/release/2021-12/R/eclipse-cpp-2021-12-R-linux-gtk-x86_64.tar.gz' -Oeclipse-cpp-2021-12-R-linux-gtk-x86_64.tar.gz || exit 1
tar -zxvf ./eclipse-cpp-2021-12-R-linux-gtk-x86_64.tar.gz || exit 1
ln -sf ${HOME}/frameworks/eclipse/eclipse ${HOME}/bin/eclipse
rm -f ./eclipse-cpp-2021-12-R-linux-gtk-x86_64.tar.gz

if wget --progress=dot:mega 'https://www.eclipse.org/downloads/download.php?file=/titan/TITAN_Designer_and_Executor_plugin-8.1.0.zip' -OTITAN_Designer_and_Executor_plugin.zip; then
  eclipse/eclipse -noSplash -application org.eclipse.equinox.p2.director \
    -destination /home/vagrant/frameworks/eclipse \
    -repository 'jar:file:///home/vagrant/frameworks/TITAN_Designer_and_Executor_plugin.zip' \
    -installIU TITAN_Designer.feature.group,TITAN_Executor.feature.group,TITAN_Log_Viewer.feature.group,Titan_external_dependencies.feature.group,Titanium.feature.group,Titanium_external_dependencies.feature.group
  rm -f TITAN_Designer_and_Executor_plugin.zip
fi

# Build TITAN
# Build TITAN
cd /home/vagrant/dev/TTF009_Ng112/scripts
cd /home/vagrant/dev/TTF009_Ng112/scripts
./build_titan.bash
./build_titan.bash